Blob Blame History Raw
From: "Paul E. McKenney" <paulmck@kernel.org>
Date: Mon, 16 Dec 2019 12:08:31 -0800
Subject: rcutorture: Make kvm-find-errors.sh abort on bad directory
Patch-mainline: v5.7-rc1
Git-commit: beabc806f5aaa158fc90a939215e8b44ee9d7acc
References: bsc#1173068

Currently, kvm-find-errors.sh gives a usage prompt when given a bad
directory, but then soldiers on, giving a series of confusing error
messages.  This commit therefore prints an error message and exits when
given a bad directory, hopefully reducing confusion.

Signed-off-by: Paul E. McKenney <paulmck@kernel.org>
Acked-by: Daniel Wagner <dwagner@suse.de>
---
 tools/testing/selftests/rcutorture/bin/kvm-find-errors.sh |    2 ++
 1 file changed, 2 insertions(+)

--- a/tools/testing/selftests/rcutorture/bin/kvm-find-errors.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm-find-errors.sh
@@ -20,7 +20,9 @@
 rundir="${1}"
 if test -z "$rundir" -o ! -d "$rundir"
 then
+	echo Directory "$rundir" not found.
 	echo Usage: $0 directory
+	exit 1
 fi
 editor=${EDITOR-vi}